spring:
  application:
    name: content-service

  datasource:
    url: jdbc:postgresql://4.217.131.139:5432/contentdb
    username: eventuser
    password: Hi5Jessica!
    driver-class-name: org.postgresql.Driver

  jpa:
    database-platform: org.hibernate.dialect.PostgreSQLDialect
    hibernate:
      ddl-auto: update
    show-sql: true
    properties:
      hibernate:
        format_sql: true
        use_sql_comments: true

  data:
    redis:
      host: 4.217.131.139
      port: 6379

  kafka:
    bootstrap-servers: 20.249.125.115:9092
    consumer:
      group-id: content-service-consumers
      auto-offset-reset: earliest
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer

server:
  port: 8084

jwt:
  secret: kt-event-marketing-jwt-secret-key-for-authentication-and-authorization-2025
  access-token-validity: 3600000
  refresh-token-validity: 604800000

azure:
  storage:
    connection-string: ${AZURE_STORAGE_CONNECTION_STRING:}
    container-name: event-images

logging:
  level:
    com.kt.event: DEBUG
    org.hibernate.SQL: DEBUG
